=== debian/changelog ===
freelan (2.0-8ubuntu3) eoan; urgency=medium

  * Cherrypick upstream patches to possibly fix ftbfs with new boost.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Apr 2019 14:43:19 +0100

freelan (2.0-8ubuntu2) cosmic; urgency=high

  * No change rebuild against openssl 1.1.1 with TLS 1.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 29 Sep 2018 01:36:45 +0100

freelan (2.0-8ubuntu1) cosmic; urgency=medium

  * Use boost1.65.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Sep 2018 13:43:51 +0200

freelan (2.0-8build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:55:51 +0000

freelan (2.0-8) unstable; urgency=medium

  * QA upload.
  * Move freelan binary to /usr/sbin.  (Closes: #834712)
  * Do not build with -Werror.  (Closes: #897753)
  * Bump Standards-Version to 4.1.5, no changes needed.
  * Fix building twice in a row by cleaning more build artefacts.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Jul 2018 11:51:09 +0200

freelan (2.0-7) unstable; urgency=medium

  * QA upload.
  * Add d/gbp.conf to deal with the non-standard repository layout.
  * d/control:
    + Remove Uploaders field as the package has been orphaned.
    + wrap-and-sort.
    + Move Vcs-* fields to salsa.debian.org.
    + Bump Standards-Version to 4.1.4:
      - Replace Priority:extra (deprecated) with optional.
      - d/copyright: Use HTTPS in the Format field.
  * Bump debhelper compat level to 11.
  * Add patch from Ubuntu to fix build with boost 1.65.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 27 May 2018 22:41:18 +0200

freelan (2.0-6) unstable; urgency=medium

  * acknowledge previous NMU.  Thanks, Adrian!
  * orphan the package
    I can unfortunately no longer justify the effort to package for Debian

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 21 Apr 2018 23:14:07 +0800

freelan (2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.25. (Closes: #882733)

 -- Adrian Bunk <bunk@debian.org>  Wed, 27 Dec 2017 22:18:47 +0200

freelan (2.0-5) unstable; urgency=medium

  [ Sebastien Vincent ]
  * patches: backport 44087faf to re-enable compilation with OpenSSL 1.0.x

  [ Rolf Leggewie ]
  * add README.Debian with instructions on simple test setup

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 05 Sep 2017 21:29:41 +0800

freelan (2.0-4) unstable; urgency=medium

  [ Sebastien Vincent ]
  * patches: backport 5014a8023b from upstream. Closes: #853406
    fix FTBFS with gcc7

  [ Rolf Leggewie ]
  * control: update to standards version 4.0.0
    - fix typo in manpage
    - make the whatis entry for the freelan manpage more meaningful
  * copyright: update my copyright to 2017

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 06 Aug 2017 17:57:54 +0800

freelan (2.0-2) unstable; urgency=medium

  [ Julien Kauffmann ]
  * patches: backport changes to compile with openssl 1.1. Closes: #828304

  [ Rolf Leggewie ]
  * control:
    - add explicit run-time dependency on lsb-base
    - bump standards version to 3.9.8
  * copyright: update my copyright to 2016

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 15 Nov 2016 14:19:18 +0800

freelan (2.0-1) unstable; urgency=low

  * initial release to Debian. Closes: #780608
    based on previous work by Julien Kauffmann and Etienne Champetier

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 05 Jan 2016 23:48:09 +0800
