=== debian/control ===
Source: freelan
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 11),
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libcurl4-openssl-dev,
 libssl-dev,
 scons,
Standards-Version: 4.1.5
Homepage: http://www.freelan.org
Vcs-Browser: https://salsa.debian.org/debian/freelan
Vcs-Git: https://salsa.debian.org/debian/freelan.git

Package: freelan
Architecture: any
Depends:
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Peer-to-peer virtual private network daemon
 Freelan is an application to create secure ethernet tunnels over a
 single UDP port. It can be used to create virtual LANs ("Local
 Area Network"), hence the name: "freelan".
 .
 Freelan may create peer-to-peer tunnel connections or rely on a
 more classic client/server layout. The virtual network can be
 shaped to fit exactly the bandwidth or topology constraints,
 providing an optimal virtual private network.
 .
 Freelan is particularly useful for remote sites interconnection and
 gaming.
