=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DESTDIR=debian/freelan/
export bin_prefix=usr/
