=== debian/changelog ===
freelan (2.2-3) unstable; urgency=medium

  * QA Upload.
  * Update Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Add folder to d/clean
  * Set upstream metadata fields: Bug-Database, Repository,
    Repository-Browse, Bug-Submit.
  * Add upstream commit as 0007-Move-to-Python-3.patch
  * Add upstream commit as 0006-Fix-build-outside-git.patch closes: #952306

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 29 Feb 2020 15:56:31 +0100

freelan (2.2-2) unstable; urgency=medium

  * QA upload
  * Use nproc to parallelize the build
  * Update manpage
  * Change configuration filename from .conf to .cfg in init.d script
  * Freelan binary patch only changes binary path
  * Fix paths that's being exported to scons

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 18 Jan 2020 20:37:52 +0100

freelan (2.2-1) unstable; urgency=medium

  * QA upload
  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Håvard Flaget Aasen ]
  * New upstream release
    - Upstream fixes ftbfs with boost 1.67 closes: #914068
    - By default it compiles with upnp=yes and moongoose=no
  * Create debian/watch file
  * d/control
    - Added Pre-Depends: ${misc:Pre-Depends}
    - Change to debhelper-compat
    - Bump debhelper to 12
    - Update Standards-Version to 4.4.1
    - Use secure URI on homepage
    - Add libminiupnpc-dev as build-dependency
  * Updated d/clean
  * d/rules
    - Updated install paths
  * Update paths in d/copyright, upstream has restructured the code.
  * Patches
    - All but two patches got removed, fixed upstream.
    - Add 0001-build-Adds-support-for-Boost-1.70.patch
    - Add 0002-Fix-for-boost-versions-less-than-1.66.patch

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 12 Jan 2020 21:39:01 +0100
