=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: freelan
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-program-options-dev,
  libboost-system-dev,
  libboost-thread-dev,
+ libminiupnpc-dev,
  libcurl4-openssl-dev,
  libssl-dev,
  scons,
-Standards-Version: 4.1.5
-Homepage: http://www.freelan.org
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.freelan.org
 Vcs-Browser: https://salsa.debian.org/debian/freelan
 Vcs-Git: https://salsa.debian.org/debian/freelan.git
 
 Package: freelan
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  lsb-base (>= 3.0-6),
  ${misc:Depends},
