=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PRODUCT_BIN_PREFIX=/usr/
export PRODUCT_PREFIX=/
export MAKE_JOBS:=$(shell nproc)

%:
	dh $@
