=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/freelan-$1\.tar\.gz/ \
  https://github.com/freelan-developers/freelan/tags .*/v?(\d\S+)\.tar\.gz
